| API Documentation |  |

- MAIN PAGE
- NAMESPACES
- CLASSES

Public Member Functions | List of all members
nkWinUi::TabWindow::Tab Class Reference

Holds information about a tab in the window. More...

## Public Member Functions
| Tab (TabWindow *parentWindow) noexcept
virtual | ~Tab ()
nkMemory::StringView | getLabel () const
Window * | getAssociatedWin () const
int | getId () const
TabWindow * | getParentWindow () const
virtual void | setLabel (nkMemory::StringView label, bool autoUpdate=true)
void | setAssociatedWin (Window *win)
void | setId (int id)

## Detailed Description

Holds information about a tab in the window.

## Constructor & Destructor Documentation

## ◆ Tab()

nkWinUi::TabWindow::Tab::Tab | ( | TabWindow * | parentWindow | ) |
| noexcept

Constructor.

## ◆ ~Tab()

virtual nkWinUi::TabWindow::Tab::~Tab | ( |  | ) |
| virtual

Destructor.

## Member Function Documentation

## ◆ getLabel()

nkMemory::StringView nkWinUi::TabWindow::Tab::getLabel | ( |  | ) | const

Returns
  The tab label.

## ◆ getAssociatedWin()

Window* nkWinUi::TabWindow::Tab::getAssociatedWin | ( |  | ) | const

Returns
  The associated window, aka the window within the tab.

## ◆ getId()

int nkWinUi::TabWindow::Tab::getId | ( |  | ) | const

Returns
  The id of the tab.

## ◆ getParentWindow()

TabWindow* nkWinUi::TabWindow::Tab::getParentWindow | ( |  | ) | const

Returns
  The parent tab window.

## ◆ setLabel()

virtual void nkWinUi::TabWindow::Tab::setLabel | ( | nkMemory::StringView | label,
|  | bool | autoUpdate = `true`
| ) |  |
| virtual

Sets the tab label.

Parameters

  label | The label to set.
  autoUpdate | If the tab should visually be updated.

## ◆ setAssociatedWin()

void nkWinUi::TabWindow::Tab::setAssociatedWin | ( | Window * | win | ) |

Sets the associated window in the tab.

Parameters

  win | The window to associate.

## ◆ setId()

void nkWinUi::TabWindow::Tab::setId | ( | int | id | ) |

Sets the id of the tab.

Parameters

  id | The id to link.

The documentation for this class was generated from the following file:

- Documentation/Headers/NilkinsWinUi/Components/TabWindow.h